@ECHO OFF
if "%CommonProgramFiles(x86)%"=="" goto X32
:X64
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles(x86)%\BestTech\GCC Developer Lite\GCC\ARM\bin"`) DO SET PATH=%%t
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles(x86)%\BestTech\openocd"`) DO SET PATH=%%t;%PATH%
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles(x86)%\BestTech\GCC Developer Lite\TARGET"`) DO SET TARGET_FOLDER=%%t
GOTO INPUT
:X32
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles%\BestTech\GCC Developer Lite\GCC\ARM\bin"`) DO SET PATH=%%t
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles%\BestTech\openocd"`) DO SET PATH=%%t;%PATH%
FOR /F "usebackq" %%t IN (`83 "%ProgramFiles%\BestTech\GCC Developer Lite\TARGET"`) DO SET TARGET_FOLDER=%%t
:INPUT

SET C_INCLUDE_PATH=%TARGET_FOLDER%\SAM7S;.\fat_sd;.
ECHO MAKE libfatfs
DEL libfatfs.a

arm-eabi-gcc -mcpu=arm7tdmi -gdwarf-2 -O2 -mthumb -mthumb-interwork -nostartfiles -std=gnu99 -Wall -Wnested-externs -Wcast-align -Wimplicit -Wpointer-arith -Wswitch -Wredundant-decls -Wreturn-type -Wshadow -Wunused -c fat_sd\ff.c fat_sd\sd_spi_at91.c  -I../../sam7s
@IF ERRORLEVEL 1 GOTO FAIL

arm-eabi-ar rcs libfatfs.a .\ff.o .\sd_spi_at91.o
@IF ERRORLEVEL 1 GOTO FAIL

@GOTO SUCCESS
:FAIL
@ECHO ERROR !!!
@GOTO END
:SUCCESS
@ECHO SUCCESS !!!
del .\ff.o .\sd_spi_at91.o
:END
@PAUSE
