//-----------------------------------------------------------
// smpl11(spi_sdcard).c
// SPIڑSDJ[hƂ̒ʐM
//   Copyright (c) BestTechnology CO.,LTD. 2005-2011
//-----------------------------------------------------------
// ChaNFatFsgp
//  http://elm-chan.org/fsw/ff/00index_j.html
// K{
// E./fatfstH_ǉCupXɒǋL
// EfatfsN郉CuɒǋL
//-----------------------------------------------------------

#if defined (__AT91SAM7X128__) | defined (__AT91SAM7X256__) | defined (__AT91SAM7X512__)
#include <AT91SAM7X.h>
#include <AT91SAM7X_BITDEFINE.h>
#else
#include <AT91SAM7S.h>
#include <AT91SAM7S_BITDEFINE.h>
#endif

#include <vic.h>
#include <piocfg.h>
#include "./fatfs/fat_sd/ff.h"
#include "./fatfs/fat_sd/diskio.h"
#include "./fatfs/fat_sd/ffconf.h"

#include <string.h>
#include <ctype.h>

// VAʐM֘A
#define __UDP__
#include "share/us.c"

// PIO[qݒ
#if defined (__AT91SAM7X128__) | defined (__AT91SAM7X256__) | defined (__AT91SAM7X512__)
#define _LED1 ((uint32_t)1 << 19) // PB19 -> LED1
#define _LED2 ((uint32_t)1 << 20) // PB20 -> LED2
#define _LED3 ((uint32_t)1 << 21) // PB21 -> LED3
#define _LED4 ((uint32_t)1 << 22) // PB22 -> LED4
#define _ALL_LED  (_LED1 | _LED2 | _LED3 | _LED4)
#define _PB1  ((uint32_t)1 << 21) // PA21 -> PB1
#define _PB2  ((uint32_t)1 << 22) // PA22 -> PB2
#define _PB3  ((uint32_t)1 << 23) // PA23 -> PB3
#define _PB4  ((uint32_t)1 << 24) // PA24 -> PB4
#define _ALL_PB  (_PB1 | _PB2 | _PB3 | _PB4)
static const TPin pins[] = {
  // PA16 -> SPI0(MISO)
  {1 << 16,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_PULLUP},
  // PA17 -> SPI0(MOSI)
  {1 << 17,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},
  // PA18 -> SPI0(SPCK)
  {1 << 18,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},
  // PA13 -> SPI0(NPCS1) -> LIS331DL
  {1 << 13,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},
  // PA14 -> SPI0(NPCS2) -> ATA6831
  {1 << 14,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},

  // PB27 -> PWM0
  {1 << 27,       &PIOB, PIOB_PID, PIO_PERIPH_B, PIO_DEFAULT},

  {_ALL_LED, &PIOB, PIOB_PID, PIO_OUTPUT_1, PIO_DEFAULT},
  {_ALL_PB,  &PIOA, PIOA_PID, PIO_INPUT,    PIO_PULLUP },
};

#define SPI SPI0

#else
static const TPin pins[] = {
#define _LED1 ((uint32_t)1 << 0)  // PA0  -> LED1
#define _LED2 ((uint32_t)1 << 1)  // PA1  -> LED2
#define _LED3 ((uint32_t)1 << 2)  // PA2  -> LED3
#define _LED4 ((uint32_t)1 << 29) // PA29 -> LED4
#define _ALL_LED  (_LED1 | _LED2 | _LED3 | _LED4)
#define _PB1  ((uint32_t)1 << 17) // PA17 -> PB1
#define _PB2  ((uint32_t)1 << 18) // PA18 -> PB2
#define _PB3  ((uint32_t)1 << 19) // PA19 -> PB3
#define _PB4  ((uint32_t)1 << 20) // PA20 -> PB4
#define _ALL_PB  (_PB1 | _PB2 | _PB3 | _PB4)

  // PA12 -> SPI(MISO)
  {1 << 12,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_PULLUP},
  // PA13 -> SPI(MOSI)
  {1 << 13,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},
  // PA14 -> SPI(SPCK)
  {1 << 14,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},

  // PA11 -> PIOA11(̒[qɌNPCS0ƂĎgȂ)
  {1 << 11,       &PIOA, PIOA_PID, PIO_OUTPUT_1, PIO_DEFAULT},
  // PA31 -> SPI(NPCS1) -> LIS331DL
  {1 << 31,       &PIOA, PIOA_PID, PIO_PERIPH_A, PIO_DEFAULT},
  // PA30 -> SPI(NPCS2) -> ATA6831
  {1 << 30,       &PIOA, PIOA_PID, PIO_PERIPH_B, PIO_DEFAULT},

  {_ALL_LED, &PIOA, PIOA_PID, PIO_OUTPUT_1, PIO_DEFAULT},
  {_ALL_PB,  &PIOA, PIOA_PID, PIO_INPUT,    PIO_PULLUP },
};
#endif

//========================================================
// MISC...
//========================================================
void wait (int n) {
  volatile int i, j;

  for (i = 0; i < n; i++)
    for (j = 0; j < 1000; j++) ;
}

//========================================================
// PIT
//========================================================
// 荞ݏ[`
#if defined (__DBGU_INT__) | defined (__DBGU_PDC__)
static void PIT_irq_handler (uint32_t sr) {
  volatile uint32_t dummy;

  if (sr & _PIT_PITS) {
    // Read the PIVR. It acknowledges the IT
    dummy = PIT.PIVR;

    // FatFsŕKvƂ^C}[`
    disk_timerproc ();
  }
}
#else
void PIT_irq_handler (void) {
  uint32_t sr = PIT.SR;
  volatile uint32_t dummy;

  if (PIT.MR & _PIT_PITIEN) {
    sr = PIT.SR;
    if (sr & _PIT_PITS) {
      // Read the PIVR. It acknowledges the IT
      dummy = PIT.PIVR;

      // FatFsŕKvƂ^C}[`
      disk_timerproc ();
    }
  }
}
#endif

// ݒ
int PIT_UpdatePeriod (int period) {
  int p;

  PIT.MR = 0;
  p = period ? ((F_CPU >> 4) / period) - 1 : 0;
  if (p > _PIT_PIV) p = _PIT_PIV;
  PIT.MR = _PIT_PITIEN | _PIT_PITEN | (p & _PIT_PIV);

  return p;
}

// 荞ݐݒ
void PIT_InterruptInit (void) {
#if defined (__DBGU_INT__) | defined (__DBGU_PDC__)
  sysc_init ();
  sysc_register(_SYSC_PIT_IRQ, &PIT_irq_handler);
#else
  // Set up timer interrupt
  AIC.IDCR = 1 << SYSC_PID;
  AIC.SVR[SYSC_PID] = (void *)PIT_irq_handler;
  AIC.SMR[SYSC_PID] = 0;
  AIC.ICCR = 1 << SYSC_PID;
  AIC.IECR = 1 << SYSC_PID;
#endif
}

//========================================================
// SPI
//========================================================
// Init SPI
void SPI_Init (void) {
#if defined (__AT91SAM7X128__) | defined (__AT91SAM7X256__) | defined (__AT91SAM7X512__)
  PMC.PCER = 1 << SPI0_PID;
#else
  PMC.PCER = 1 << SPI_PID;
#endif

  SPI.PDC.PTCR = _PDC_RXTDIS | _PDC_TXTDIS;
  SPI.CR = _SPI_SPIDIS;
  SPI.CR = _SPI_SWRST;
  SPI.CR = _SPI_SWRST;
  SPI.MR = _SPI_MSTR | _SPI_PS_FIXED | _SPI_MODFDIS;// | (0xf << 16);

  // SDJ[h(fatfsŏ̂łł͐GȂ)
////  SPI.CSR[0] = _SPI_NCPHA | _SPI_BITS_8;

  // MPDCgO
  SPI.PDC.TNPR = SPI.PDC.RNPR = SPI.PDC.TPR = SPI.PDC.RPR = (uint8_t *)0;
  SPI.PDC.TNCR = SPI.PDC.RNCR = SPI.PDC.TCR = SPI.PDC.RCR = 0;
  SPI.PDC.PTCR = _PDC_RXTEN | _PDC_TXTEN;

  SPI.CR = _SPI_SPIEN;
}

//========================================================
// FatFs Wrapper
//========================================================
// FATFSt@C\
typedef struct {
  uint32_t fsize;      /* File size */
  uint16_t fdate;      /* Last modified date */
  uint16_t ftime;      /* Last modified time */
  uint8_t  fattr;      /* Attribute */
  char     fname[13];  /* Short file name (8.3 format) */
} TFileInfo;

static FATFS Fatfs[_VOLUMES];
static DIR SD_Dir;

/*----------------------------------------------------------------------*/
// }Eg
static bool SDInitMount (void) {
  FRESULT res = FR_OK;
  bool init_mount = false;
  if (!init_mount) {
    res = f_mount (0, &Fatfs[0]);
    init_mount = true;
  }
  return res;
}
/*----------------------------------------------------------------------*/
// SDJ[hPFile I/O
/*----------------------------------------------------------------------*/
/*
  @\Ft@C
  Ffname  tpX̏݃t@C
        wdata  ݃obt@
        wrsz   ݃obt@TCY
        sfsz   ۂ̏݃TCY
  ߒlFtrue   ݐ
        false  ݎs
*/
bool SDFileWrite (const char *fname, const void *wdata, uint32_t wrsz, uint32_t *sfsz) {
  FRESULT ret;
  FIL fp;
  bool bResult = false;

  SDInitMount ();
  ret = f_open (&fp, fname, FA_CREATE_ALWAYS|FA_WRITE|FA_READ);
  if (ret == FR_NO_FILE) ret = f_open (&fp, fname, FA_CREATE_NEW|FA_WRITE|FA_READ);
  if (ret == FR_OK) {
    ret = f_write (&fp, wdata, wrsz, sfsz);
    if (ret == FR_OK) bResult = true;
    f_close (&fp);
  }
  if (ret != FR_OK) f_mount (0, &Fatfs[0]);
  return bResult;
}

/*----------------------------------------------------------------------*/
/*
  @\Ft@CǋL
  Ffname  tpX̃t@C
        wdata  ݃obt@
        wrsz   ݃obt@TCY
        sfsz   ۂ̏݃TCY
  ߒlFtrue   ǉ
        false  ǉs
*/
bool SDFileAppend (const char *fname, const void *wdata, uint32_t wrsz, uint32_t *sfsz) {
  FRESULT ret;
  FIL fp;
  bool bResult = false;

  SDInitMount ();
  ret = f_open (&fp, fname, FA_WRITE|FA_READ);
  if (ret == FR_OK) {
    if ((ret = f_lseek (&fp, fp.fsize)) == FR_OK) {
      ret = f_write (&fp, wdata, wrsz, sfsz);
      if (ret == FR_OK) bResult = true;
    }
    f_close (&fp);
  }
  if (ret != FR_OK) f_mount (0, &Fatfs[0]);
  return bResult;
}

/*----------------------------------------------------------------------*/
/*
  @\Ft@CǍ
  Ffname  tpX̓Ǎ݃t@C
        rdata  Ǎ݃obt@
        rdsz   Ǎ݃obt@TCY
        sfsz   ۂ̓Ǎ݃TCY
  ߒlFtrue   Ǎݐ
        false  Ǎݎs
*/
bool SDFileRead (const char *fname, void *rdata, uint32_t rdsz, uint32_t *sfsz) {
  FRESULT ret;
  unsigned int ofs;
  FIL fp;
  bool bResult = false;

  SDInitMount ();
  ret = f_open (&fp, fname, FA_OPEN_EXISTING|FA_READ);
  if (ret == FR_OK) {
    ofs = fp.fsize>rdsz?rdsz:fp.fsize;
    ret = f_read (&fp, rdata, ofs, sfsz);
    if (ret == FR_OK) bResult = true;
    f_close (&fp);
  }
  if (ret != FR_OK) f_mount (0, &Fatfs[0]);
  return bResult;
}

/*----------------------------------------------------------------------*/
/*
  @\Ft@CEtH_̍폜
  Ffname  tpX̍폜Ώۖ
  ߒlFtrue   폜
        false  폜s
*/
bool SDFileDelete (const char *fname) {
  FRESULT ret;
  bool bResult = false;

  SDInitMount ();
  ret = f_unlink (fname);
  if (ret == FR_OK) bResult = true;
  else f_mount (0, &Fatfs[0]);
  return bResult;
}

/*----------------------------------------------------------------------*/
// tH_
/*
  @\FtH_̃I[v
  Ffoldername  tpX̃tH_
  ߒlFtrue   I[v
        false  I[vs
*/
bool SDFindFirst (const char *foldername) {
  bool bResult = false;

  SDInitMount ();
  if (f_opendir (&SD_Dir, foldername) == FR_OK) bResult = true;
  else f_mount (0, &Fatfs[0]);
  return bResult;
}

/*
  @\FI[vtH_̓Ǎ
  Ffname  tH_̃t@C̓tH_
        types  t@C̓tH_
  ߒlFtrue   Ǎݐ
        false  ǍݎsA̓tH_
*/
bool SDFindNext (char *fname, TFileInfo *types) {
  FRESULT res;
  FILINFO Finfo;

  while (((res = f_readdir(&SD_Dir, &Finfo)) == FR_OK) && Finfo.fname[0]) {
    if (Finfo.fname[0] == '.') continue;
    strcpy ((char *)fname, (char *)Finfo.fname);
    types->fsize = Finfo.fsize;
    types->fdate = Finfo.fdate;
    types->ftime = Finfo.ftime;
    types->fattr = Finfo.fattrib;
    strcpy ((char *)types->fname, (char *)Finfo.fname);
    return true;
  }
  f_mount (0, &Fatfs[0]);
  return false;
}

/*----------------------------------------------------------------------*/
/*
  @\FtH_̍쐬
  Ffoldername  쐬tpX̃tH_
  ߒlFtrue   쐬
        false  쐬s
*/
bool SDMakeFolder (const char *foldername) {
  FRESULT ret;
  bool bResult = false;

  SDInitMount ();
  ret = f_mkdir (foldername);
  if (ret == FR_OK) bResult = true;
  else f_mount (0, &Fatfs[0]);
  return bResult;
}

/*----------------------------------------------------------------------*/
/*
  @\Ft@CA̓tH_̑݊mF
  Ffname  tpX̃t@CA̓tH_
        finfo  Ώۂ݂Ăꍇ̏obt@
  ߒlFtrue   Ώۂ̊mF
        false  Ώۂ̊mFs
*/
bool SDFileExists (const char *fname, TFileInfo *finfo) {
  FILINFO tmpInfo;
  bool bResult = false;

  SDInitMount ();
  if (f_stat (fname, &tmpInfo) == FR_OK) {
    finfo->fsize = tmpInfo.fsize;
    finfo->fdate = tmpInfo.fdate;
    finfo->ftime = tmpInfo.ftime;
    finfo->fattr = tmpInfo.fattrib;
    strcpy (finfo->fname, tmpInfo.fname);
    bResult = true;
  }
  return bResult;
}

/*----------------------------------------------------------------------*/
/*
  @\FSDJ[h̑݊mF
  FȂ
  ߒlFtrue   SDJ[h̊mF
        false  SDJ[h̊mFs
*/
bool SDIsAlive (void) {
  DSTATUS diskstat;
  bool bResult = true;

  diskstat = disk_initialize (0);
  if (diskstat & (STA_NOINIT | STA_NODISK | STA_NOSUPPORT)) bResult = false;
  return bResult;
}

//========================================================
// main
//========================================================
void main (void) {

  char *pattsp(char *s) {
    int i;
    static char ch[20];
    for (i = 0; i < 12; i++)
      if (*s) ch[i] = *s++; else ch[i] = ' ';
    return ch;
  }

  int i;
  char c = 0;
  const char *fname = "/testdata.txt";
  const char *dat = "aBcDeFgHiJkLmNoPq1234567890";
  char fn[20];
  uint32_t sz;
  static char buff[3000];
  TFileInfo finfo;

  enableIRQ ();

  PIO_Configure (pins, PIO_LISTSIZE (pins));
  PIT_InterruptInit ();
  PIT_UpdatePeriod (100);

  _us_init (_BAUDRATE, txb, sizeof (txb), rxb, sizeof (rxb));

  // SPI
  SPI_Init ();

  while (1) {
    if (_us_rx_buff ()) {
      c = _us_getc ();
      switch (c) {
        case 'r':
          _us_printf(">Read file\n");
          c = 0;
          if (SDFileExists (fname, &finfo)) {
            if (SDFileRead (fname, buff, sizeof(buff), &sz)) {
              _us_printf (" SIZE:%d byte\n [",sz);
              for (i = 0; i < sz; i++) _us_printf ("%c", buff[i]);
              _us_puts ("]\n");
            } else _us_puts( " READ NG\n" );
          } else _us_puts (" FILE NOT FOUND\n");
          break;
        case 'a':
          _us_printf(">Add data to file\n");
          if (SDFileExists (fname, &finfo)) {
            _us_puts (" FILE FOUND\n");
            if (SDFileAppend (fname, dat, strlen(dat), &sz)) _us_printf (" ADD %d byte OK\n", sz);
            else _us_puts (" ADD NG\n");
          } else {
            _us_puts (" FILE NOT FOUND\n");
            if (SDFileWrite (fname, dat, strlen(dat), &sz)) _us_printf (" NEW %d byte OK\n", sz);
            else _us_puts (" NEW NG\n");
          }
          break;
        case 'd':
          _us_printf(">Delete file\n");
          if (SDFileExists (fname, &finfo)) {
            if (SDFileDelete (fname)) _us_puts (" DELETE OK\n");
            else _us_puts (" DELETE NG\n");
          } else _us_puts (" FILE NOT FOUND\n");
          break;
        case 'l':
          _us_printf(">List\n");
          if (SDFindFirst ("/")) {
            i = 0;
            while (SDFindNext (fn, &finfo)) {
              _us_printf ("[%s,%d]", pattsp (fn), finfo.fsize);
              if (++i % 4 == 0) _us_putc ('\n');
            }
            _us_putc ('\n');
          }
          break;
        case 0x1b:
#if defined (__UDP__)
          udp_disconnect ();
          wait(5000);
#endif
          RSTC.CR = 0xA5000000 | _RSTC_PROCRST | _RSTC_PERRST | _RSTC_EXTRST;
          break;
        default:
          _us_puts(">?\n");
          break;
      }
      _us_rx_purge ();
    }
  }
}
